# Overlays

Core
Collaboration diagram for Overlays:

## Classes

class | Ogre::BorderPanelOverlayElement
| A specialisation of the PanelOverlayElement to provide a panel with a border. More...
class | Ogre::BorderRenderable
| Class for rendering the border of a BorderPanelOverlayElement. More...
class | Ogre::Overlay
| Represents a layer which is rendered on top of the 'normal' scene contents. More...
class | Ogre::OverlayContainer
| A 2D element which contains other OverlayElement instances. More...
class | Ogre::OverlayElement
| Abstract definition of a 2D element to be displayed in an Overlay. More...
class | Ogre::OverlayElementFactory
| Defines the interface which all components wishing to supply OverlayElement subclasses must implement. More...
class | Ogre::PanelOverlayElementFactory
| Factory for creating PanelOverlayElement instances. More...
class | Ogre::BorderPanelOverlayElementFactory
| Factory for creating BorderPanelOverlayElement instances. More...
class | Ogre::TextAreaOverlayElementFactory
| Factory for creating TextAreaOverlayElement instances. More...
class | Ogre::OverlayManager
| Manages Overlay objects, parsing them from .overlay files and storing a lookup library of them. More...
class | Ogre::PanelOverlayElement
| OverlayElement representing a flat, single-material (or transparent) panel which can contain other elements. More...
class | Ogre::TextAreaOverlayElement
| This class implements an overlay element which contains simple unformatted text. More...

## Namespaces

namespace | Ogre::OverlayElementCommands

## Defines

#define | OGRE_DEREF_DISPLAYSTRING_ITERATOR(it) it.getCharacter()

## Typedefs

typedef UTFString | Ogre::DisplayString

## Enumerations

enum | Ogre::GuiMetricsMode { Ogre::GMM_RELATIVE, Ogre::GMM_PIXELS, Ogre::GMM_RELATIVE_ASPECT_ADJUSTED }
| Enum describing how the position / size of an element is to be recorded. More...
enum | Ogre::GuiHorizontalAlignment { Ogre::GHA_LEFT, Ogre::GHA_CENTER, Ogre::GHA_RIGHT }
| Enum describing where '0' is in relation to the parent in the horizontal dimension. More...
enum | Ogre::GuiVerticalAlignment { Ogre::GVA_TOP, Ogre::GVA_CENTER, Ogre::GVA_BOTTOM }
| Enum describing where '0' is in relation to the parent in the vertical dimension. More...

## Define Documentation

#define OGRE_DEREF_DISPLAYSTRING_ITERATOR | ( |  | it | ) | it.getCharacter()

Definition at line 52 of file OgreOverlayElement.h.

## Typedef Documentation

typedef UTFString Ogre::DisplayString

Definition at line 51 of file OgreOverlayElement.h.

## Enumeration Type Documentation

enum Ogre::GuiHorizontalAlignment

Enum describing where '0' is in relation to the parent in the horizontal dimension.

Remarks:
  Affects how 'left' is interpreted.

Enumerator:

  GHA_LEFT |
  GHA_CENTER |
  GHA_RIGHT |

Definition at line 72 of file OgreOverlayElement.h.

enum Ogre::GuiMetricsMode

Enum describing how the position / size of an element is to be recorded.

Enumerator:

  GMM_RELATIVE | 'left', 'top', 'height' and 'width' are parametrics from 0.0 to 1.0
  GMM_PIXELS | Positions & sizes are in absolute pixels.
  GMM_RELATIVE_ASPECT_ADJUSTED | Positions & sizes are in virtual pixels.

Definition at line 59 of file OgreOverlayElement.h.

enum Ogre::GuiVerticalAlignment

Enum describing where '0' is in relation to the parent in the vertical dimension.

Remarks:
  Affects how 'top' is interpreted.

Enumerator:

  GVA_TOP |
  GVA_CENTER |
  GVA_BOTTOM |

Definition at line 81 of file OgreOverlayElement.h.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:09